# std::gmtime

From cppreference.com
< cpp‎ | chrono‎ | c

Defined in header `<ctime>` |  |
std::tm * gmtime( const std::time_t * time ); |  |

Converts given time since epoch as std::time_t value into calendar time, expressed in Coordinated Universal Time (UTC).

### Parameters

time | - | pointer to a time_t object to convert

### Return value

Pointer to a static internal std::tm object on success, or null pointer otherwise. The structure may be shared between std::gmtime, std::localtime, and std::ctime and may be overwritten on each invocation.

### Notes

This function may not be thread-safe.

POSIX requires that this function sets errno to EOVERFLOW if it fails because the argument is too large.

### Example

Run this code

    #include <iostream>
    #include <iomanip>
    #include <ctime>

    int main()
    {
        std::time_t t = std::time(nullptr);
        std::cout << "UTC:   " << std::put_time(std::gmtime(&t), "%c %Z") << '\n';
        std::cout << "local: " << std::put_time(std::localtime(&t), "%c %Z") << '\n';
    }

Output:

    UTC:   Wed Dec 28 11:44:28 2011 GMT
    local: Wed Dec 28 06:44:28 2011 EST

### See also

localtime | converts time since epoch to calendar time expressed as local time (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/c/gmtime&oldid=96639"